Computer Security
[EN] securityvulns.ru no-pyccku


Mozilla Firefox Firebug extension code execution
Published:06.04.2007
Source:
SecurityVulns ID:7538
Type:client
Threat Level:
6/10
Description:Script can access browser chrome:.
Affected:FIREFOX : Firebug 1.03
CVE:CVE-2007-1947 (Cross-zone scripting vulnerability in the DOM templates (domplates) used by the console.log function in the Firebug extension before 1.04 for Mozilla Firefox allows remote attackers to bypass zone restrictions, read arbitrary file:// URIs, or execute arbitrary code in the browser chrome by overwriting the toString function via a certain function declaration, related to incorrect identification of anonymous JavaScript functions, a different issue than CVE-2007-1878.)
 CVE-2007-1878 (Cross-zone scripting vulnerability in the DOM templates (domplates) used by the console.log function in the Firebug extension before 1.03 for Mozilla Firefox allows remote attackers to bypass zone restrictions, read arbitrary file:// URIs, or execute arbitrary code in the browser chrome, as demonstrated via the runFile function, related to lack of HTML escaping in the property name.)
Original documentdocumentpdp (architect), Firefox extensions go Evil - Critical Vulnerabilities in Firefox/Firebug (06.04.2007)

About | Terms of use | Privacy Policy
© SecurityVulns, 3APA3A, Vladimir Dubrovin
Nizhny Novgorod